=== debian/changelog ===
bamtools (2.3.0+dfsg-2) unstable; urgency=medium

  * Drop d-shlibs patch and add versioned Build-Depends for d-shlibs
    Closes: #753210

 -- Andreas Tille <tille@debian.org>  Mon, 30 Jun 2014 09:50:50 +0200

bamtools (2.3.0+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #692498)

 -- Andreas Tille <tille@debian.org>  Wed, 02 Apr 2014 13:11:47 +0200
