=== debian/debian/changelog ===
bambamc (0.0.49-1) UNRELEASED; urgency=low

  * Initial upload (Closes: #???)

 -- Andreas Tille <tille@debian.org>  Sun, 13 Apr 2014 08:12:10 +0200
