=== debian/debian/control ===
Source: bambamc
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           German Tischler <gt1@sanger.ac.uk>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9),  autoconf (>= 2.61), automake (>= 1.10), libtool (>= 2.2.6), pkg-config (>= 0.22), zlib1g-dev (>= 1.2.3)
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/bambamc.git
Vcs-Git: git://anonscm.debian.org/debian-med/bambamc.git
Homepage: https://github.com/gt1/bambamc

Package: libbambamc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Runtime library for reading and writing BAM (genome alignment) files
 The BAM Format is a binary format for storing sequence data.  This is a
 lightweight C implementation of the read name collation code from the
 larger bambam C++ project to handle BAM file input and BAM file output.

Package: libbambamc-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libbambamc (= ${binary:Version}), pkg-config (>= 0.22), zlib1g-dev (>= 1.2.3)
Description: Development files for reading and writing BAM (genome alignment) files
 The BAM Format is a binary format for storing sequence data.  This is a
 lightweight C implementation of the read name collation code from the
 larger bambam C++ project to handle BAM file input and BAM file output.
 .
 This package contains the static library and header files.
