=== debian/debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ 

override_dh_auto_configure:
	autoreconf -i -f
	dh_auto_configure
