=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
https://github.com/pezmaster31/bamtools/tags .*/v?(\d[\d\.]+)\.tar\.gz
