## bamtools 2.4.0%2Bdfsg

=== src/api/CMakeLists.txt ===
--- 
+++ 
@@ -34,7 +34,7 @@
 # create main BamTools API shared library
 add_library( BamTools SHARED ${BamToolsAPISources} )
 set_target_properties( BamTools PROPERTIES
-                       SOVERSION "2.3.0"
+                       SOVERSION "2.4.0"
                        OUTPUT_NAME "bamtools" )
 
 # create main BamTools API static library
