=== src/toolkit/CMakeLists.txt ===
--- 
+++ 
@@ -31,7 +31,7 @@
 
 # set BamTools application properties
 set_target_properties( bamtools_cmd PROPERTIES
-                       VERSION  2.3.0
+                       VERSION  2.4.0
                        OUTPUT_NAME "bamtools"
                      )
 # make version info available in application
