=== debian/changelog ===
bamtools (2.4.0+dfsg-3build1) xenial; urgency=medium

  * No-change rebuild for the libjsoncpp transition.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 09 Feb 2016 12:21:15 +0100

bamtools (2.4.0+dfsg-3) unstable; urgency=medium

  * allow to read bam files on big endian systems (Closes: #807979)
  * added sam_spec_example.sam and sam_spec_example.bam files
  * activated cmake testing framework abd added simple tests

 -- Dominique Belhachemi <domibel@debian.org>  Sun, 20 Dec 2015 15:41:42 -0500

bamtools (2.4.0+dfsg-2) unstable; urgency=medium

  [ Kevin Murray ]
  * Fix re-upload confusion
  * Fix build of doxygen docs, add docs-base
  * Use uscan file renaming to name upstream tarball bamtools-Vxxx.tar.gz
  * Refresh patch queue

  [ Andreas Tille]
  * Fix linitan overides for bamtools

 -- Kevin Murray <spam@kdmurray.id.au>  Thu, 24 Sep 2015 17:27:16 +1000

bamtools (2.4.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Fix d/watch + get-orig-source target
  * Adapt library package name to version number

 -- Andreas Tille <tille@debian.org>  Sun, 05 Jul 2015 15:41:35 +0200

bamtools (2.3.0+dfsg-3) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Make Doxygen documentation generation reproducible by eliminating
    timestamps.

  [ Andreas Tille ]
  * Install cmake file
  * Fix some issues in formatting of long descriptions (thanks for the patch
    to Daniele Forsi <dforsi@gmail.com>)
    Closes: #780437
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Mon, 18 May 2015 11:53:14 +0200
