=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,10 @@
 
 %:
 	dh $@ --parallel
+
+override_dh_auto_build:
+	dh_auto_build
+	doxygen docs/Doxyfile
 
 override_dh_install:
 	d-shlibmove --commit \
@@ -20,6 +24,9 @@
 	# no need to install different versions of bamtools
 	rm -rf debian/$(DEBPKGNAME)/usr/bin/$(DEBPKGNAME)
 	mv debian/$(DEBPKGNAME)/usr/bin/$(DEBPKGNAME)-[0-9]* debian/$(DEBPKGNAME)/usr/bin/$(DEBPKGNAME)
+	rm -f debian/libbamtools-dev/usr/share/doc/libbamtools-dev/html/jquery.js
+	ln -s /usr/share/javascript/jquery/jquery.js debian/libbamtools-dev/usr/share/doc/libbamtools-dev/html/jquery.js
+
 
 #override_dh_installman:
 #	LD_LIBRARY_PATH=debian/tmp/usr/lib:${LD_LIBRARY_PATH} help2man --name "a command-line toolkit for reading, writing, and manipulating BAM (genome alignment) files" --no-info --no-discard-stderr debian/tmp/usr/bin/bamtools > debian/bamtools.1
@@ -33,4 +40,4 @@
 	git describe --tags upstream | sed 's,^release-,,;s,-,+,;s,-,~,;'
 
 get-orig-source:
-	uscan --download-current-version --force-download --rename --repack-compression xz
+	uscan --verbose --force-download --repack --compression xz
