=== src/api/CMakeLists.txt ===
--- 
+++ 
@@ -34,7 +34,7 @@
 # create main BamTools API shared library
 add_library( BamTools SHARED ${BamToolsAPISources} )
 set_target_properties( BamTools PROPERTIES
-                       SOVERSION "2.4.0"
+                       SOVERSION "2.4.1"
                        OUTPUT_NAME "bamtools" )
 
 # create main BamTools API static library
