=== debian/changelog ===
bamtools (2.4.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  
  [ Nadiya Sitdykova ]
  * add autopkgtest test-suite 

  [ Afif Elghraoui ]
  * remove unused lintian overrides

  [ Steffen Moeller ]
  * debian/upstream/metadata: Added refs to bio.tools and OMICtools
  * debian/copyright: Corrected case of upstream name
  * debian/control: Updated policy compliance to 4.0.1

 -- Nadiya Sitdykova <rovenskasa@gmail.com>  Mon, 07 Aug 2017 17:01:19 -0400

bamtools (2.4.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * cme fix dpkg-control
  * d/watch: version=4
  * Priority: optional
  * soversion stays at 2.4.0 (FIXME: in future versions this should
    be rather 2.5 without micro number)

 -- Andreas Tille <tille@debian.org>  Fri, 13 Jan 2017 10:47:00 +0100

bamtools (2.4.0+dfsg-6) unstable; urgency=medium

  * Whoops, forgot the '+dfsg' in my fix for the movement of the development
    docs into their own -doc package. Thanks go to Andreas Beckmann
    <anbe@debian.org> for his patience and help. (Closes: 817188)

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Thu, 10 Mar 2016 01:38:21 -0800

bamtools (2.4.0+dfsg-5) unstable; urgency=medium

  * Fix the movement of the development docs into their own -doc package
    (Closes: 817188)
  * Fix another typo in upstream

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Wed, 09 Mar 2016 00:58:33 -0800

bamtools (2.4.0+dfsg-4) unstable; urgency=medium

  * Lower priority to 'extra' due to dependency on libjsoncpp1
  * Split out -doc package for library documentation & enable standalone -arch
    and -indep building
  * Fix spelling error from upstream
  * Update Standards-Version
  * Update my email address
  * Fix Vcs-Git URL
  * Quiet some Doxygen warnings
  * Add gcc-6 compat
  * Include ${devlibs} for -dev package
  * Forwarded many patches upstream
  * Remove the html docs directory during d/rules clean

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Sat, 05 Mar 2016 09:07:48 -0800
