=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: bamtools
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>,
+Uploaders: Michael R. Crusoe <crusoe@ucdavis.edu>,
            Andreas Tille <tille@debian.org>,
            Kevin Murray <spam@kdmurray.id.au>,
            Dominique Belhachemi <domibel@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9.0.0),
+Build-Depends: debhelper (>= 10),
                d-shlibs (>= 0.56),
                cmake,
                zlib1g-dev,
                libjsoncpp-dev,
                help2man,
                doxygen
-Standards-Version: 3.9.6
+Standards-Version: 4.0.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/bamtools.git
-Vcs-Git: git://anonscm.debian.org/debian-med/bamtools.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/bamtools.git
 Homepage: https://github.com/pezmaster31/bamtools/wiki
 
 Package: bamtools
@@ -55,7 +55,9 @@
 Architecture: any
 Section: libdevel
 Depends: libbamtools2.4.0 (= ${binary:Version}),
+         ${devlibs:Depends},
          ${misc:Depends}
+Suggests: libbamtools-doc (= ${binary:Version})
 Description: C++ API for manipulating BAM (genome alignment) files
  BamTools facilitates research analysis and data management using BAM
  files.  It copes with the enormous amount of data produced by current
@@ -84,3 +86,21 @@
  command-line toolkit.
  .
  This is the runtime library.
+
+Package: libbamtools-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Breaks: libbamtools-dev (<< 2.4.0+dsfg-6)
+Replaces: libbamtools-dev (<< 2.4.0+dfsg-6)
+Description: docs for dynamic library for manipulating BAM (genome alignment) files
+ BamTools facilitates research analysis and data management using BAM
+ files.  It copes with the enormous amount of data produced by current
+ sequencing technologies that is typically stored in compressed, binary
+ formats that are not easily handled by the text-based parsers commonly
+ used in bioinformatics research.
+ .
+ BamTools provides both a C++ API for BAM file support as well as a
+ command-line toolkit.
+ .
+ This is the documentation for the library.
