=== debian/rules ===
--- 
+++ 
@@ -9,24 +9,31 @@
 %:
 	dh $@ --parallel
 
-override_dh_auto_build:
-	dh_auto_build
+override_dh_auto_configure-indep:
+
+override_dh_auto_test-indep:
+
+override_dh_auto_build-indep:
+	doxygen -u docs/Doxyfile
 	doxygen docs/Doxyfile
+	mv docs/Doxyfile.bak docs/Doxyfile
 
-override_dh_install:
+override_dh_install-indep:
+	dh_install --indep
+	rm -f debian/libbamtools-doc/usr/share/doc/libbamtools-dev/html/jquery.js
+	ln -s /usr/share/javascript/jquery/jquery.js debian/libbamtools-doc/usr/share/doc/libbamtools-dev/html/jquery.js
+
+override_dh_install-arch:
 	d-shlibmove --commit \
 		    --multiarch \
 		    --devunversioned \
 		    --exclude-la \
 		    --movedev debian/tmp/usr/include/* usr/include \
 		    debian/tmp/usr/lib/lib*.so
-	dh_install
+	dh_install --arch
 	# no need to install different versions of bamtools
 	rm -rf debian/$(DEBPKGNAME)/usr/bin/$(DEBPKGNAME)
 	mv debian/$(DEBPKGNAME)/usr/bin/$(DEBPKGNAME)-[0-9]* debian/$(DEBPKGNAME)/usr/bin/$(DEBPKGNAME)
-	rm -f debian/libbamtools-dev/usr/share/doc/libbamtools-dev/html/jquery.js
-	ln -s /usr/share/javascript/jquery/jquery.js debian/libbamtools-dev/usr/share/doc/libbamtools-dev/html/jquery.js
-
 
 #override_dh_installman:
 #	LD_LIBRARY_PATH=debian/tmp/usr/lib:${LD_LIBRARY_PATH} help2man --name "a command-line toolkit for reading, writing, and manipulating BAM (genome alignment) files" --no-info --no-discard-stderr debian/tmp/usr/bin/bamtools > debian/bamtools.1
