=== debian/changelog ===
bamtools (2.5.1+dfsg-9) unstable; urgency=medium

  [ Steffen Möller ]
  * Update metadata - indent and ref to guix

  [ Andreas Tille ]
  * Extend means to prevent timeouts from amd64 also to armhf and s390x
    Closes: #987023

 -- Andreas Tille <tille@debian.org>  Thu, 15 Apr 2021 21:28:36 +0200

bamtools (2.5.1+dfsg-8) unstable; urgency=medium

  * Exclude test that times out on arm64
    Closes: #953939
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 27 Jan 2021 08:26:37 +0100

bamtools (2.5.1+dfsg-7) unstable; urgency=medium

  * Override dh_auto_install-indep
    Closes: #961777

 -- Andreas Tille <tille@debian.org>  Fri, 29 May 2020 13:00:25 +0200

bamtools (2.5.1+dfsg-6) unstable; urgency=medium

  * Add IsSupplementaryAlignment() patch from bamtools code copy shipped
    with tiddit
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Submit.
  * Use d-shlibs
  * Build additional static lib

 -- Andreas Tille <tille@debian.org>  Wed, 27 May 2020 12:14:50 +0200

bamtools (2.5.1+dfsg-5) unstable; urgency=medium

  * Ignore one test that is known to fail on ppc64el architecture
    Closes: #933505
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 10 Dec 2019 12:00:36 +0100

bamtools (2.5.1+dfsg-4) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Trim trailing whitespace.

  [ Andreas Tille ]
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Drop useless get-orig-source target
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Trim trailing whitespace.
  * Set upstream metadata fields: Repository.
  * Remove obsolete fields Name from debian/upstream/metadata.

 -- Andreas Tille <tille@debian.org>  Thu, 10 Oct 2019 12:59:38 +0200

bamtools (2.5.1+dfsg-3) unstable; urgency=medium

  * Point Vcs fields to salsa.debian.org
  * Use Breaks+Replaces: libbamtools2.4.0 (<< 2.5.1+dfsg-2~) since the
    includes were formerly in lib package
    Closes: #894886

 -- Andreas Tille <tille@debian.org>  Thu, 05 Apr 2018 11:54:57 +0200

bamtools (2.5.1+dfsg-2) unstable; urgency=medium

  * Move /usr/includes to -dev from libbamtools2.4.0
  * debian/control: add Multi-Arch hints and remove unneeded ${devlibs:Depends}
  * Build the shared library.
  * drop 0002-support-out-of-source-build patch, as this was fixed differently
    upstream
  * Match upstream's soname change

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 03 Apr 2018 04:18:02 -0700

bamtools (2.5.1+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * cme fix dpkg-control
  * debhelper 11

  [ Michael R. Crusoe ]
  * Make release ready with cme fix dpkg
  * fix built in tests
  * debian/rules: remove unused variables; drop custom library install; add
    hardening

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 02 Apr 2018 09:47:32 -0700
