=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: bamtools
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Michael R. Crusoe <crusoe@ucdavis.edu>,
+Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>,
            Andreas Tille <tille@debian.org>,
            Kevin Murray <spam@kdmurray.id.au>,
            Dominique Belhachemi <domibel@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
-               d-shlibs (>= 0.56),
+Build-Depends: debhelper-compat (= 13),
+               d-shlibs,
                cmake,
                zlib1g-dev,
                libjsoncpp-dev,
                help2man,
                doxygen
-Standards-Version: 4.0.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/bamtools.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/bamtools.git
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/med-team/bamtools
+Vcs-Git: https://salsa.debian.org/med-team/bamtools.git
 Homepage: https://github.com/pezmaster31/bamtools/wiki
+Rules-Requires-Root: no
 
 Package: bamtools
 Architecture: any
@@ -53,11 +54,13 @@
 
 Package: libbamtools-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
-Depends: libbamtools2.4.0 (= ${binary:Version}),
-         ${devlibs:Depends},
+Depends: libbamtools2.5.1 (= ${binary:Version}),
          ${misc:Depends}
 Suggests: libbamtools-doc (= ${binary:Version})
+Breaks: libbamtools2.4.0 (<< 2.5.1+dfsg-2~)
+Replaces: libbamtools2.4.0 (<< 2.5.1+dfsg-2~)
 Description: C++ API for manipulating BAM (genome alignment) files
  BamTools facilitates research analysis and data management using BAM
  files.  It copes with the enormous amount of data produced by current
@@ -70,8 +73,9 @@
  .
  This is the developers API package.
 
-Package: libbamtools2.4.0
+Package: libbamtools2.5.1
 Architecture: any
+Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
@@ -89,6 +93,7 @@
 
 Package: libbamtools-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Breaks: libbamtools-dev (<< 2.4.0+dsfg-6)
